Subject: Re: [Fwd: more CNRP]

From: Nicolas Popp <[email-masked]>
Date: Wed, 31 May 2000 16:51:08 -0700

Leslie.

If we restrict a service to only one dataset, then nothing (but maybe the
"service" terminology) needs to change.

Can you give me a reason why we cannot define a CNRP service as an
abstraction for a service that deals with a single dataset (a set of common
name-resource descriptors mappings)?

If an organization needs to support multiple datasets, it can always define
multiple services...

-Nico

-----Original Message-----
From: Leslie Daigle [mailto:[email-masked]]
Sent: Wednesday, May 31, 2000 3:35 PM
To: Nicolas Popp
Cc: [email-masked]; Michael Mealling
Subject: Re: [Fwd: more CNRP]

I don't believe it's that simple.  However, I think we are going
around in circles, arguing minutiae because of some self-imposed
deadlines.

At this point, I want us to step back, figure out the
service/server/dataset model we want to support, and then come back
to what to do to the protocol elements afterwards.

We can hold the current document (if Michael hasn't already shipped it)
or pursue this in the next (and, truly, hopefully, LAST!) revision.

I'll post more on what elements I think exist in the service/server/
dataset space, but can't get to it tonight.

Leslie.

Nicolas Popp wrote:
>
> That's excatly why I asked the question.
>
> Unfortunately, I agree with you Leslie. If we introduce the notion of
> dataset through dataseturi, I think that we must expose the whole notion
(as
> you suggested through the dataset object).
>
> The alternative is not to introduce that notion at all and stick with the
> old terminology (service URI as a logical identifier for the service. A
> service spans one "dataset", even if a dataset can be the logical
> combination of multiple physical "datasets".
>
> I think that Roland's strongest argument for the notion of dataset was in
> the context of referrals. If a referral includes not only the service
> identifier (serviceURI) and at least one server object (so taht the client
> can find the actual servers), I think that we can live without it.
>
> Hence, I suggest that we punt on the notion of dataset but change the
> document to require the inclusion of a server objects for referrals...
>
> -Nico
>
> -----Original Message-----
> From: Leslie Daigle [mailto:[email-masked]]
> Sent: Wednesday, May 31, 2000 1:54 PM
> To: [email-masked]
> Subject: Re: [Fwd: more CNRP]
>
> Howdy,
>
> Hmmm... this still seems a little rocky.
>
> Nicolas Popp wrote:
> > Does it mean that a service can have multiple dataseturi(s)and that
> servers
> > are scoped to a specific dataset?
>
> What it currently means is that the service is scoped to a specific
> dataset, which may be accessible from different servers.
>
> Grabbing one of the examples from the text:
>
>         <service ttl="43200">
>              <dataseturi>urn:foo:bar</dataseturi>
>              <servers>
>              <server>
>              <serveruri>http://host1.acmecorp.com:4321/foo?</serveruri>
>              </server>
>              <server>
>              <serveruri>smtp://host2.acmecorp.com:4321/foo?</serveruRI>
>              </server>
>              </servers>
>
> If we want a service to be able to span more than one dataset, then
> I think we need to introduce the dataset object (and maybe bring
> back the serviceURI):
>
>         <service ttl="43200">
>           <serviceURI>http://www.notdotcom.com/foo</serviceURI>
>           <dataset>
>              <dataseturi>urn:foo:bar</dataseturi>
>              <servers>
>              <server>
>              <serveruri>http://host1.acmecorp.com:4321/foo?</serveruri>
>              </server>
>              <server>
>              <serveruri>smtp://host2.acmecorp.com:4321/foo?</serveruRI>
>              </server>
>           </dataset>
>           <dataset>
>              <dataseturi>urn:foo:bar2</dataseturi>
>              <servers>
>              <server>
>              <serveruri>http://host1.acmecorp.com:4321/bar?</serveruri>
>              </server>
>              <server>
>              <serveruri>smtp://host2.acmecorp.com:4321/bar?</serveruRI>
>              </server>
>           </dataset>
>           </service>
>
> We're teetering on the edge of complexity again, but I think it's
> not uncalled for.
>
> Leslie.
>
> --
>
> -------------------------------------------------------------------
> "My body obeys Aristotelian laws of physics."
>    -- ThinkingCat
>
> Leslie Daigle
> [email-masked]
> -------------------------------------------------------------------

--

-------------------------------------------------------------------
"My body obeys Aristotelian laws of physics."
   -- ThinkingCat

Leslie Daigle
[email-masked]
-------------------------------------------------------------------